package com.yizhi.application.portal.constant;
 
public enum SiteEnum {
	
	LIST("跳转列表", "list"), DETAIL("详细跳转","detail"),
	TRAINCENTER("跳转列表", "traincenter"), COURSECENTER("课程中心","coursecenter"),
	MARKETING("营销中心", "marketing"), NEWS("新闻资讯","news"),
	MESSAGE("消息中心", "message"), MYTRAIN("我的培训","mytrain"),
	MYCOURSE("我的课程", "mycourse"), MYHOMEWORK("我的作业","myhomework"),
	MYEXAM("我的考试", "myexam"), MYCERTIFICATE("我的证书","mycertificate"),
	MYSURVEY("我的调研", "mysurvey"), MYSHARE("我的分享","myshare"),
	MYVOTE("我的投票", "myvote"), MYCLASS("我的作课","myclass"),
	MYPOINT("我的积分", "mypoint"), MYSIGN("我的签到","mysign"),
	MYCOLLECT("我的收藏", "mycollect"), COURSE("课程","course"),
	TRAIN("学习项目", "train"), SURVEY("调研","survey"),
	HOMEWORK("作业", "homework"), EXAM("考试","exam"),
	CERTIFICATE("证书", "certificate"), VOTE("投票","vote"),
	CLASS("作课","class"), ACTIVITY("活动","activity"),
	MARKET("营销","market"), LIVE("直播", "live"),
	COURSESORT("课程分类", "coursesort"), OUTERCHAIN("外链", "outerchain"),
	SITOUTERCHAIN("门户外链", "sitouterchain"),
	ALBUM("专辑", "album"),POST("帖子", "post"),
	MY_PRACTICE("智能陪练", "practice");
    // 成员变量
    private String key;
    private String value;

    // 构造方法
    private SiteEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

	public String getKey() {
		return key;
	}

	public String getValue() {
		return value;
	}
	
    public static String getValueByKey(String key) {
    	SiteEnum[] enums = SiteEnum.values();
        for (int i = 0; i < enums.length; i++) {
            if (enums[i].getKey().equals(key)) {
                return enums[i].getValue();
            }
        }
        return "";
    }
}
